Package fr.gouv.vitam.processing.common.model

# Class DistributorIndex

java.lang.Object
fr.gouv.vitam.processing.common.model.DistributorIndex

public class DistributorIndex extends Object
Composite Item Status

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributorIndex()`
  `DistributorIndex(String level, int offset, ItemStatus itemStatus, String requestId, String stepId, List<String> remainingElements)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `getItemStatus()`
  `String`
  `getLevel()`
  `int`
  `getOffset()`
  `List<String>`
  `getRemainingElements()`
  `String`
  `getRequestId()`
  `String`
  `getStepId()`
  `boolean`
  `isLevelFinished()`
  `void`
  `setItemStatus(ItemStatus itemStatus)`
  `void`
  `setLevel(String level)`
  `void`
  `setLevelFinished(boolean levelFinished)`
  `void`
  `setOffset(int offset)`
  `void`
  `setRemainingElements(List<String> remainingElements)`
  `void`
  `setRequestId(String requestId)`
  `void`
  `setStepId(String stepId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DistributorIndex

    public DistributorIndex()

  - ### DistributorIndex

    public DistributorIndex(String level, int offset, ItemStatus itemStatus, String requestId, String stepId, List<String> remainingElements)

- ## Method Details

  - ### getLevel

    public String getLevel()

  - ### setLevel

    public void setLevel(String level)

  - ### getOffset

    public int getOffset()

  - ### setOffset

    public void setOffset(int offset)

  - ### getItemStatus

    public ItemStatus getItemStatus()

  - ### setItemStatus

    public void setItemStatus(ItemStatus itemStatus)

  - ### getRequestId

    public String getRequestId()

  - ### setRequestId

    public void setRequestId(String requestId)

  - ### getStepId

    public String getStepId()

  - ### setStepId

    public void setStepId(String stepId)

  - ### getRemainingElements

    public List<String> getRemainingElements()

  - ### setRemainingElements

    public void setRemainingElements(List<String> remainingElements)

  - ### isLevelFinished

    public boolean isLevelFinished()

  - ### setLevelFinished

    public void setLevelFinished(boolean levelFinished)